### Method

# Adw SidebarItem set_icon_paintable

since: 1.9

#### Declaration [src]

    void
    adw_sidebar_item_set_icon_paintable (
      AdwSidebarItem* self,
      GdkPaintable* paintable
    )

#### Description [src]

Sets the paintable to use as the icon for `item`.

Mutually exclusive with `AdwSidebarItem:icon-name`.

Available since: 1.9

Sets property | `Adw.SidebarItem:icon-paintable`

#### Parameters

`paintable`

  Type: `GdkPaintable`

  The icon paintable.

  The argument can be `NULL`.
  The data is owned by the caller of the method.